Categories:
  - Internet
License: AGPL-3.0-or-later
AuthorName: OpenVK
AuthorEmail: openvk@tutanota.com
AuthorWebSite: https://openvk.su/
SourceCode: https://github.com/openvk/mobile-android-legacy
IssueTracker: https://github.com/openvk/mobile-android-legacy/issues
Changelog: https://github.com/openvk/mobile-android-legacy/releases

AutoName: OpenVK

RepoType: git
Repo: https://github.com/openvk/mobile-android-legacy.git

Builds:
  - versionName: 1.0.135-beta
    versionCode: 135
    commit: dada0225b0d254c70a9efd9259008dba1b7de926
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - update-alternatives --auto java
      - chmod -R 777 /opt/android-sdk
    gradle:
      - yes
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.137-beta
    versionCode: 137
    commit: 55b9f60d00748cfd26d791fd961d2c881bdad44f
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - update-alternatives --auto java
      - chmod -R 777 /opt/android-sdk
    gradle:
      - yes
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.139-beta
    versionCode: 139
    commit: d96c344b3dcd14f75a8a14db41cb235f1781064a
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - yes
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.140-beta
    versionCode: 140
    commit: c53b1dc4af5d20d6e9df5a721815a0ce3d0c7809
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - yes
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.143-beta
    versionCode: 143
    commit: 2f34e120cb92a7a6e6b1d7e4c43866dbd27fa5dc
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - yes
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.146-beta
    versionCode: 146
    commit: 60e6409145101afc367cd0b86992a868cab0ec45
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - yes
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.148-beta
    versionCode: 148
    commit: 58a8f1044d1b88f97df8d69323f11261913d29a2
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - yes
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.149-beta
    versionCode: 149
    commit: 2fdf7914ae81fa2f86940e344ace1c28b73fb8de
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - yes
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.151-beta
    versionCode: 151
    commit: fc6724865c959ce21d96e0df334aed350aa977e9
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - yes
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.154-beta
    versionCode: 154
    commit: 1b7219c127a6eb43dd7c69a4f52072c310d29e8b
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - yes
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.155-beta
    versionCode: 155
    commit: 31c684aab46b93492cd40d184551a6f16e32a708
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.157-beta
    versionCode: 157
    commit: 0e6a3da17708199fce6c988d306c3cf29890361c
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.159-beta
    versionCode: 158
    commit: 324767b728b3fc157815ef8d22e38a197cd69a16
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.160-beta
    versionCode: 160
    commit: 53d9248e2a9b5636eaf0f35cb7146f88005a78ef
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.161-stable
    versionCode: 161
    commit: b8f0082dc692657c63782e7fea35e824a1ee15a0
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.162-beta
    versionCode: 162
    commit: 94d77ba3b3309a97b32a7aace546da1eac3035e1
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.163-beta
    versionCode: 163
    commit: d08e8be5d6c3be671dbf09f5e5167a56342b275b
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.166-beta
    versionCode: 166
    commit: 010ffef5fc1d37e3a5a5c6f8434847d1fdd28a50
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.167-beta
    versionCode: 167
    commit: 609adea4f31e5203d74c52d1b8c307e759969719
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.169-beta
    versionCode: 169
    disable: https://github.com/openvk/mobile-android-legacy/issues/58#issuecomment-1406589319
    commit: 72667eebb735d11c0f4e05ff0713006bc21c1a73
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.170-beta
    versionCode: 170
    commit: 195fbbf6959c88f1c65a7f8d5c72764e834f157a
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.172-beta
    versionCode: 172
    commit: 58ef3dd00a3f5b20570da37b61bd118b9ce8927f
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.0.174-beta
    versionCode: 174
    commit: 9c7c1c62b7af9967ecc8fb6a36b99faf583da450
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.175-beta
    versionCode: 175
    commit: 23610eb6ef89df1c0d419d72e183d40130062c63
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.176-beta
    versionCode: 176
    commit: eb95b9ba06dacfa5a7de6f37ea73111fef83ae67
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian stretch main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t stretch openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    rm:
      - captures
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.178-beta
    versionCode: 178
    commit: 1ad830ef1c436c212a21ba38299edfcdfcadf0fc
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.179-beta
    versionCode: 179
    commit: fecc741ae0d650ca060e83433dd54f25fab61679
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.180-beta
    versionCode: 180
    commit: 93624968a26406323e7ec8ffad7c3491be5ea845
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.182-beta
    versionCode: 182
    commit: 1cf011a9a17ea1d0dc10e895119ff201a08c54dd
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.183-beta
    versionCode: 183
    commit: 5b51c040b11389273cae01eef4ab375bb32eabf6
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.185-beta
    versionCode: 185
    commit: 42538b06b45d711ac92199af8b0a50fa4f59e5f6
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - betaConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.188-alpha.m2-f
    versionCode: 188
    commit: 33d8bff7e85751b8b065106075aa3cd71bd78e5f
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.191-alpha.m2-f
    versionCode: 191
    commit: 4f46c22fac388dbc1a0c5a3bfb116a00fc7d2a7f
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.192-alpha.m2-f
    versionCode: 192
    commit: 3381953f415cd9bc0985baee50b9a69fb8c70664
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.194-alpha.m2-f
    versionCode: 194
    commit: d33a41f908f3894fc29a2b3dc1455c9c3ed9eda7
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.197-alpha.m2-f
    versionCode: 197
    commit: 579a259e8a2a27bd27e6f430578ac9517b921b73
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.198-alpha.m2-f
    versionCode: 198
    commit: b8eceb013a70da38c571e35c5f92aa3f4c4de531
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.200-beta.f
    versionCode: 200
    commit: b2652de18a55826747e552e3d4221f3eeac097ed
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.201-beta.f
    versionCode: 201
    commit: bc07334329b7242ba8e622d317320c1116c80c7d
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.203-beta.f
    versionCode: 203
    commit: b1a84e5b9c4345746f0e44ce9c52ac679c466db5
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y bzip2 file make
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - curl -Lso r8e.tar.bz2 https://dl.google.com/android/ndk/android-ndk-r8e-linux-x86_64.tar.bz2
      - echo "07371eaa242490096be1bf494ecea1e5a6b7839cbead329fb868c0f54b716f24 r8e.tar.bz2"
        | sha256sum -c -
      - tar xjf r8e.tar.bz2 -C /opt/android-sdk/ndk
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      -e 's/ndk-build.sh/ndk-build/' -e 's!projDir/ndk-modules!projDir/../ndk-modules!g'
      build.gradle
    build:
      - pushd ..
      - chmod +x ./build-ffmpeg.sh
      - ANDROID_NDK_HOME=/opt/android-sdk/ndk/android-ndk-r8e ./build-ffmpeg.sh 0.8.12
      - ANDROID_NDK_HOME=$$NDK$$ ./build-ffmpeg.sh 3.1.4
      - popd
    ndk: r11c

  - versionName: 1.1.205-beta.f
    versionCode: 205
    commit: cb4b1d5fad4e9f12f0e8f44f9c0e882ca1da9a8e
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y bzip2 file make
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - curl -Lso r8e.tar.bz2 https://dl.google.com/android/ndk/android-ndk-r8e-linux-x86_64.tar.bz2
      - echo "07371eaa242490096be1bf494ecea1e5a6b7839cbead329fb868c0f54b716f24 r8e.tar.bz2"
        | sha256sum -c -
      - tar xjf r8e.tar.bz2 -C /opt/android-sdk/ndk
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      -e 's/ndk-build.sh/ndk-build/' -e 's!projDir/ndk-modules!projDir/../ndk-modules!g'
      build.gradle
    build:
      - pushd ..
      - chmod +x ./build-ffmpeg.sh
      - ANDROID_NDK_HOME=/opt/android-sdk/ndk/android-ndk-r8e ./build-ffmpeg.sh 0.8.12
      - ANDROID_NDK_HOME=$$NDK$$ ./build-ffmpeg.sh 3.1.4
      - popd
    ndk: r11c

  - versionName: 1.1.206-beta.f
    versionCode: 206
    commit: 56b5f67b54faf4cc7de69514ccc6a0d40b89b0bf
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y bzip2 file make
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - curl -Lso r8e.tar.bz2 https://dl.google.com/android/ndk/android-ndk-r8e-linux-x86_64.tar.bz2
      - echo "07371eaa242490096be1bf494ecea1e5a6b7839cbead329fb868c0f54b716f24 r8e.tar.bz2"
        | sha256sum -c -
      - tar xjf r8e.tar.bz2 -C /opt/android-sdk/ndk
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      -e 's/ndk-build.sh/ndk-build/' -e 's!projDir/ndk-modules!projDir/../ndk-modules!g'
      build.gradle
    build:
      - pushd ..
      - chmod +x ./build-ffmpeg.sh
      - ANDROID_NDK_HOME=/opt/android-sdk/ndk/android-ndk-r8e ./build-ffmpeg.sh 0.8.12
      - ANDROID_NDK_HOME=$$NDK$$ ./build-ffmpeg.sh 3.1.4
      - popd
    ndk: r11c

  - versionName: 1.1.207-beta.f
    versionCode: 207
    commit: 6ace4a93e69d806bf8a184114d8220be2c024acd
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y bzip2 file make
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - curl -Lso r8e.tar.bz2 https://dl.google.com/android/ndk/android-ndk-r8e-linux-x86_64.tar.bz2
      - echo "07371eaa242490096be1bf494ecea1e5a6b7839cbead329fb868c0f54b716f24 r8e.tar.bz2"
        | sha256sum -c -
      - tar xjf r8e.tar.bz2 -C /opt/android-sdk/ndk
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      -e 's/ndk-build.sh/ndk-build/' -e 's!projDir/ndk-modules!projDir/../ndk-modules!g'
      build.gradle
    build:
      - pushd ..
      - chmod +x ./build-ffmpeg.sh
      - ANDROID_NDK_HOME=/opt/android-sdk/ndk/android-ndk-r8e ./build-ffmpeg.sh 0.11.5
      - ANDROID_NDK_HOME=$$NDK$$ ./build-ffmpeg.sh 3.1.4
      - popd
    ndk: r11c

  - versionName: 1.1.208-beta.f
    versionCode: 208
    commit: 2a1d26183503904edc2470143bd3440156eef8bd
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.209-beta.f
    versionCode: 209
    commit: 9d41de6b9cda153b6e738d6282fc0e5c44da3624
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.212-f
    versionCode: 212
    commit: b32fe6a1fffda0aab9c8decaf95cecdf05853684
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.213-f
    versionCode: 213
    commit: 98e7a4a80a5e0c59bd01674b54eff96bcbd89bb6
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.214-f
    versionCode: 214
    commit: 913ce7749969a53553714e92c80c1303080aca9b
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.215-prerelease.f
    versionCode: 215
    commit: b0bce48f5fce12b9f0ef75a27a9d1d039be549c2
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.217-f
    versionCode: 217
    commit: aa412386a373516b364e67473cbb6a473acfe83c
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.1.218-f
    versionCode: 218
    commit: e0e992796501193a9f21ff2e27a15f8a124471d9
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.2.230-f
    versionCode: 230
    commit: db75d4a5f478bfd7428eabe0aae2a9989acb541c
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

  - versionName: 1.2.232-f
    versionCode: 232
    commit: 2b77d8b15293d69a7dc3b621ae89c9fcd5b03006
    subdir: app
    sudo:
      - echo "deb http://deb.debian.org/debian sid main" > /etc/apt/sources.list.d/stretch.list
      - apt-get update
      - apt-get remove openjdk-11-jdk-headless openjdk-11-jre-headless
      - apt-get install -y -t sid openjdk-8-jdk-headless
      - chmod -R 777 /opt/android-sdk
    gradle:
      - fdroidConfig
    prebuild: sed -i -e "/android {/alintOptions { disable 'MissingTranslation' }"
      build.gradle

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.2.232-f
CurrentVersionCode: 232
